<div class="project-assignment-override container-fluid p-py-5">
  <div class="row justify-content-center">
    <div class="col-5">
      <p-listbox #listboxLeft 
        [options]="leftItems"
        optionLabel="label"
        optionValue="value"
        (onClick)="onLeftItemChange($event.option.value)"
        [filter]="true" 
        [style]="{ 'width': '100%' }" 
        [listStyle]="{ 'height': '548px' }"
      >
        <p-header>
          <div [hidden]="mode == 'ProjectUser'">
            <i class="fa fa-users"></i>
            Users
          </div>
          <div [hidden]="mode == 'UserProject'">
            <i class="fa fa-tasks"></i>
            Projects
          </div>
        </p-header>
      </p-listbox>
    </div>
    <div class="changeMode">
      <button pButton icon="fa fa-exchange" (click)="changeMode()"></button>
    </div>
    <div class="col-5">
      <p-listbox #listboxRight
        optionDisabled="false"
        optionLabel="label"
        optionValue="value"
        [options]="rightItems"
        [filter]="true"
        [style]="{ 'width': '100%' }"
        [listStyle]="{ 'height': '500px' }"
        [selectOnFocus]="true"
      >
        <p-header>
          <div [hidden]="mode == 'UserProject'">
            <i class="fa fa-users"></i>
            Users
          </div>
          <div [hidden]="mode == 'ProjectUser'">
            <i class="fa fa-tasks"></i>
            Projects
          </div>
        </p-header>
        <ng-template pTemplate="item" let-userProject>
          <div class="col d-flex justify-content-between">
            <div>
              {{userProject.label}}
            </div>
            <button *ngIf="hasWritePermission" pButton icon="fa fa-times" class="p-button-danger" (click)="deleteUserProject(userProject.value)"></button>
          </div>
        </ng-template>
        <p-footer>
          <div class="d-flex flex-grow-1 justify-content-between">
            <div class="footer-filter-dropdown-content">
              <p-dropdown #dropdownRight
                [options]="dropdownItems"
                optionLabel="label"
                optionValue="value"
                [(ngModel)]="selectedDropdownItem"
                [style]="{ 'width': '100%' }"
                [filter]="true"
              >
                <ng-template pTemplate="selectedItem" let-selectedOption>
                  <div>{{ selectedOption.label }}</div>
                </ng-template>
              </p-dropdown>
            </div>
            <button pButton icon="fa fa-plus" (click)="createUserProject()" [disabled]="!selectedDropdownItem"></button>
          </div>
        </p-footer>
      </p-listbox>
    </div>
  </div>
</div>
